NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_jpegsize(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_jpegsize - Determine the width and height of a JPEG image

## Table Of Contents

## Synopsis

- ns_jpegsize filename

## Description

Returns a list of two elements, the width and height of the JPEG file specified by filename. An error is generated if the file does not exist or if it is not a JPEG file.

## COMMANDS

ns_jpegsize filename

## EXAMPLES

       % ns_jpegsize screenshot.jpg
       1024 768

       % ns_jpegsize test.html
       invalid JPEG file: "test.html"

## See Also

ns_gifsize, ns_imgmime, ns_imgsize, ns_imgtype, ns_pngsize

## Keywords

images